# Generated by Django 2.0.5 on 2019-10-07 12:22

from django.conf import settings
import django.contrib.postgres.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('document', '0014_auto_20190712_0954'),
    ]

    operations = [
        migrations.CreateModel(
            name='ServiceCatalog',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('service_name', models.CharField(max_length=60)),
                ('service_technology_type', django.contrib.postgres.fields.ArrayField(base_field=models.PositiveIntegerField(), size=None)),
                ('is_template_present', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ServiceCategory',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ServiceTechnologyType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('name', models.CharField(max_length=100)),
                ('service_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='technology_types', to='document.SOWCategory')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='servicecatalog',
            name='service_category',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_catalogs', to='document.ServiceCategory'),
        ),
        migrations.AddField(
            model_name='servicecatalog',
            name='service_type',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='service_catalogs', to='document.SOWCategory'),
        ),
    ]
